Bug 198566 - control-z keypress misinterpreted as control-minus if Hungarian on list of keyboard layouts
control-z keypress misinterpreted as control-minus if Hungarian on list of ke...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-11 18:34 EDT by Myk Melez
Modified: 2008-05-06 12:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:06:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Myk Melez 2006-07-11 18:34:04 EDT
If I add the "Hungary Standard" keyboard layout to the list of layouts in
gnome-keyboard-properties, then gnome-terminal interprets a control-z keypress
as if it were a control-minus keypress and zooms out (i.e. makes the font size
smaller) in the current terminal tab instead of breaking out of the currently
running process in that tab.

Control-minus still works to accomplish the same task, it's just that control-z
somehow turns into an alias for it, performing the "Zoom Out" action instead of
its normal function.

The problem occurs even if the currently-selected keyboard layout is set to the
default ("U.S. English").  The mere presence of the Hungarian layout on the list
of keyboard layouts is enough to cause this problem; Hungarian doesn't have to
actually be selected.

The problem doesn't occur if I reassign the keyboard shortcut for the Zoom Out
action to something other than control-minus.  For example, if I reassign it to
control-9, then control-z works properly again (and control-9 correctly zooms
out, while control-minus correctly does nothing).

The problem also doesn't occur in any application besides gnome-terminal.  For
example, if I type a control-z character in xterm, xterm properly breaks out of
the currently running process in the terminal window.  If I type a control-z
character in gedit, gedit correctly undoes the last action.

And if I type a control-z character in the ActiveState Komodo text editor after
enabling Komodo's "Enter Next Character as Raw Literal" mode, Komodo correctly
inserts a "SUB" character into the document I am currently editing.
Comment 1 Bug Zapper 2008-04-03 23:17:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:06:45 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.